class TCPIPException(Exception):
    def __init__(self, message="TCPIP 自定义异常"):
        self.message = "TCPIP exception : " + message
        
class SerialException(Exception):
    def __init__(self, message="Serial 自定义异常"):
        self.message = "serial  exception : " + message

class MyException(Exception):
    def __init__(self, message="  自定义异常"):
        self.message = "自定义异常: " + message